## WordsApi

This is the WordsApi API

## searchWords

### URL

`http://api.wordnik.com/v4/words.{format}/search/{query}`

### HTTP Method

`GET`

### Response Type

WordSearchResults

### Parameters

query : string (path)

Search query

includePartOfSpeech : string (query)
optional

Only include these comma-delimited parts of speech

excludePartOfSpeech : string (query)
optional

Exclude these comma-delimited parts of speech

caseSensitive : string (query)
optional

Search case sensitive

minCorpusCount : int (query)
optional

Minimum corpus frequency for terms

maxCorpusCount : int (query)
optional

Maximum corpus frequency for terms

minDictionaryCount : int (query)
optional

Minimum number of dictionary entries for words returned

maxDictionaryCount : int (query)
optional

Maximum dictionary definition count

minLength : int (query)
optional

Minimum word length

maxLength : int (query)
optional

Maximum word length

skip : int (query)
optional

Results to skip

limit : int (query)
optional

Maximum number of results to return

## getWordOfTheDay

### URL

`http://api.wordnik.com/v4/words.{format}/wordOfTheDay`

### HTTP Method

`GET`

### Response Type

WordOfTheDay

### Parameters

date : string (query)
optional

Fetches by date in yyyy-MM-dd

## reverseDictionary

### URL

`http://api.wordnik.com/v4/words.{format}/reverseDictionary`

### HTTP Method

`GET`

### Response Type

DefinitionSearchResults

### Parameters

query : string (query)

Search term

findSenseForWord : string (query)
optional

Restricts words and finds closest sense

includeSourceDictionaries : string (query)
optional

Only include these comma-delimited source dictionaries

excludeSourceDictionaries : string (query)
optional

Exclude these comma-delimited source dictionaries

includePartOfSpeech : string (query)
optional

Only include these comma-delimited parts of speech

excludePartOfSpeech : string (query)
optional

Exclude these comma-delimited parts of speech

expandTerms : string (query)
optional

Expand terms

sortBy : string (query)
optional

Attribute to sort by

sortOrder : string (query)
optional

Sort direction

minCorpusCount : int (query)
optional

Minimum corpus frequency for terms

maxCorpusCount : int (query)
optional

Maximum corpus frequency for terms

minLength : int (query)
optional

Minimum word length

maxLength : int (query)
optional

Maximum word length

includeTags : string (query)
optional

Return a closed set of XML tags in response

skip : string (query)
optional

Results to skip

limit : int (query)
optional

Maximum number of results to return

## getRandomWords

### URL

`http://api.wordnik.com/v4/words.{format}/randomWords`

### HTTP Method

`GET`

### Response Type

List[WordObject]

### Parameters

includePartOfSpeech : string (query)
optional

CSV part-of-speech values to include

excludePartOfSpeech : string (query)
optional

CSV part-of-speech values to exclude

sortBy : string (query)
optional

Attribute to sort by

sortOrder : string (query)
optional

Sort direction

hasDictionaryDef : string (query)
optional

Only return words with dictionary definitions

minCorpusCount : int (query)
optional

Minimum corpus frequency for terms

maxCorpusCount : int (query)
optional

Maximum corpus frequency for terms

minDictionaryCount : int (query)
optional

Minimum dictionary count

maxDictionaryCount : int (query)
optional

Maximum dictionary count

minLength : int (query)
optional

Minimum word length

maxLength : int (query)
optional

Maximum word length

limit : int (query)
optional

Maximum number of results to return

## getRandomWord

### URL

`http://api.wordnik.com/v4/words.{format}/randomWord`

### HTTP Method

`GET`

### Response Type

WordObject

### Parameters

includePartOfSpeech : string (query)
optional

CSV part-of-speech values to include

excludePartOfSpeech : string (query)
optional

CSV part-of-speech values to exclude

hasDictionaryDef : string (query)
optional

Only return words with dictionary definitions

minCorpusCount : int (query)
optional

Minimum corpus frequency for terms

maxCorpusCount : int (query)
optional

Maximum corpus frequency for terms

minDictionaryCount : int (query)
optional

Minimum dictionary count

maxDictionaryCount : int (query)
optional

Maximum dictionary count

minLength : int (query)
optional

Minimum word length

maxLength : int (query)
optional

Maximum word length